org.apache.flume.conf

## Interface ConfigurableComponent

- All Known Subinterfaces:
    AsyncHbaseEventSerializer, ElasticSearchEventSerializer, ElasticSearchIndexRequestBuilderFactory, HbaseEventSerializer, IndexNameBuilder, RegexExtractorInterceptorSerializer
  All Known Implementing Classes:
    AbstractElasticSearchIndexRequestBuilderFactory, DefaultSinkProcessor, ElasticSearchDynamicSerializer, ElasticSearchLogStashEventSerializer, EventSerializerIndexRequestBuilderFactory, RegexExtractorInterceptorMillisSerializer, RegexExtractorInterceptorPassThroughSerializer, RegexHbaseEventSerializer, SimpleAsyncHbaseEventSerializer, SimpleHbaseEventSerializer, SimpleIndexNameBuilder, SinkGroup, TimeBasedIndexNameBuilder

      public interface ConfigurableComponent

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(ComponentConfiguration conf)`

- - ### Method Detail

    - #### configure

          void configure(ComponentConfiguration conf)

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.